> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a placement profile

> Retrieves a reusable placement profile and its ordered region preferences.



## OpenAPI

````yaml GET /projects/{projectId}/placement-profiles/{id}
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/placement-profiles/{id}:
    get:
      tags:
        - PlacementProfileService
      summary: Get a placement profile
      description: >-
        Retrieves a reusable placement profile and its ordered region
        preferences.
      operationId: PlacementProfileService_GetPlacementProfile
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: id
          in: path
          required: true
          schema:
            description: Placement profile identifier.
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.PlacementProfile'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.PlacementProfile:
      type: object
      required:
        - id
        - projectId
        - organizationId
        - name
        - preferredRegions
      properties:
        id:
          type: string
          description: Unique placement profile identifier.
        projectId:
          type: string
          description: Project that owns the placement profile.
        organizationId:
          type: string
          description: Organization that owns the placement profile.
        name:
          type: string
          description: Human-readable placement profile name.
        preferredRegions:
          type: array
          items:
            type: string
          description: Preferred deployment regions in descending priority order.
      description: >-
        Reusable ordered region preferences for scheduling a project's
        deployments.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````